package com.ejie.ab79.model.REST.servicioWeb;

public class Interesado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idTercero;
	private Integer tipoTercero;
	private String documento;
	private Integer idTipoDocumento;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private Integer idSexo;
	private Long telefono;
	private String email;
	private Integer idioma;
	private Integer tipoParticipante;
	private Ubicacion ubicacion;

	public Interesado() {
	}

	public Integer getIdTercero() {
		return idTercero;
	}

	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	public Integer getTipoTercero() {
		return tipoTercero;
	}

	public void setTipoTercero(Integer tipoTercero) {
		this.tipoTercero = tipoTercero;
	}

	public String getDocumento() {
		return documento;
	}

	public void setDocumento(String documento) {
		this.documento = documento;
	}

	public Integer getIdTipoDocumento() {
		return idTipoDocumento;
	}

	public void setIdTipoDocumento(Integer idTipoDocumento) {
		this.idTipoDocumento = idTipoDocumento;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellido1() {
		return apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public Integer getIdSexo() {
		return idSexo;
	}

	public void setIdSexo(Integer idSexo) {
		this.idSexo = idSexo;
	}

	public Long getTelefono() {
		return telefono;
	}

	public void setTelefono(Long telefono) {
		this.telefono = telefono;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Integer getIdioma() {
		return idioma;
	}

	public void setIdioma(Integer idioma) {
		this.idioma = idioma;
	}

	public Integer getTipoParticipante() {
		return tipoParticipante;
	}

	public void setTipoParticipante(Integer tipoParticipante) {
		this.tipoParticipante = tipoParticipante;
	}

	public Ubicacion getUbicacion() {
		return ubicacion;
	}

	public void setUbicacion(Ubicacion ubicacion) {
		this.ubicacion = ubicacion;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTercero: ").append(this.idTercero).append(" ]");
		result.append(", [ tipoTercero: ").append(this.tipoTercero).append(" ]");
		result.append(", [ documento: ").append(this.documento).append(" ]");
		result.append(", [ idTipoDocumento: ").append(this.idTipoDocumento).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ apellido1: ").append(this.apellido1).append(" ]");
		result.append(", [ apellido2: ").append(this.apellido2).append(" ]");
		result.append(", [ idSexo: ").append(this.idSexo).append(" ]");
		result.append(", [ telefono: ").append(this.telefono).append(" ]");
		result.append(", [ email: ").append(this.email).append(" ]");
		result.append(", [ idioma: ").append(this.idioma).append(" ]");
		result.append(", [ tipoParticipante: ").append(this.tipoParticipante).append(" ]");
		result.append("}");
		return result.toString();
	}
}
